// Based on https://github.com/wenzhixin/vue-auto-form/blob/develop/src/locales/en-us.js

export default {
    dateFormat : 'MM/dd/yyyy',
    submit: 'Submit',
    selectOne: '(Select One)',
    yes: 'Yes',
    no: 'No',
    thisField: 'Field',
    required: '%(label)s is required',
    minString: '%(label)s must be at least %(min)s characters',
    maxString: '%(label)s cannot exceed %(max)s characters',
    minNumber: '%(label)s must be at least %(min)s',
    maxNumber: '%(label)s cannot exceed %(max)s',
    minDate: '%(label)s must be on or after %(min)s',
    maxDate: '%(label)s cannot be after %(max)s',
    badDate: '%(label)s is not a valid date',
    minCount: 'You must specify at least %(minCount)s values',
    maxCount: 'You cannot specify more than %(maxCount)s values',
    noDecimal: '%(label)s must be an integer',
    notAllowed: '%(value)s is not an allowed value',
    expectedString: '%(label)s must be a string',
    expectedNumber: '%(label)s must be a number',
    expectedBoolean: '%(label)s must be a boolean',
    expectedArray: '%(label)s must be an array',
    expectedObject: '%(label)s must be an object',
    expectedConstructor: '%(label)s must be a %(type)s',
    regEx: [
        { msg: '%(label)s failed regular expression validation' },
        { exp: 'Email', msg: '%(label)s must be a valid e-mail address' },
        { exp: 'Domain', msg: '%(label)s must be a valid domain' },
        { exp: 'WeakDomain', msg: '%(label)s must be a valid domain' },
        { exp: 'IP', msg: '%(label)s must be a valid IPv4 or IPv6 address' },
        { exp: 'IPv4', msg: '%(label)s must be a valid IPv4 address' },
        { exp: 'IPv6', msg: '%(label)s must be a valid IPv6 address' },
        { exp: 'Url', msg: '%(label)s must be a valid URL' },
        { exp: 'Id', msg: '%(label)s must be a valid alphanumeric ID' }
    ],
    keyNotInSchema: '%(key)s is not allowed by the schema'
}
